MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032105Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-02 00:382021-02-06 14:29
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032105: Visualization, TKOpenGl - PBR flat shading GLSL program compilation error on OpenGL ES 2.0
DescriptionPBR flat shading program compilation fails on OpenGL ES 2.0 (still fails after 0032083):
TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
  Failed to compile Fragment Shader [occt_flat-pbr-ls_D-0000]. Compilation log:
ERROR: 0:662: 'textureCubeLod' : no matching overloaded function found
ERROR: 0:662: 'rgb' :  field selection requires structure or vector on left hand side

1: #extension GL_OES_standard_derivatives : enable
2: // Enable extensions used in OCCT GLSL programs


This is because GL_EXT_shader_texture_lod extension is overridden by GL_OES_standard_derivatives in header generator.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0032083verifiedbugmaster Visualization, TKOpenGl - PBR rendering is unavailable on Apple A12 Bionic (iPad) 

-  Notes
(0098593)
git (administrator)
2021-02-02 00:41

Branch CR32105 has been created by kgv.

SHA-1: 3097435fc41ab6f563e3edaa41349224b535be9d


Detailed log of new commits:

Author: kgv
Date: Tue Feb 2 00:41:01 2021 +0300

    0032105: Visualization, TKOpenGl - PBR flat shading GLSL program compilation error on OpenGL ES 2.0
    
    OpenGl_ShaderManager::defaultGlslVersion() - fixed combining two extensions in header.
(0098594)
kgv (developer)
2021-02-02 00:42

Patch is ready for review (no testing applicable for GLES)
- OCCT branch: CR32105.
(0098606)
osa (developer)
2021-02-02 11:55

The patch was reviewed without remarks
(0098714)
bugmaster (administrator)
2021-02-06 14:15

Combination -
OCCT branch : IR-2021-02-05
master SHA - d918913f1cfa6df6852ccc3cab50aae2b5a29821
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-02-05 SHA - 7f3780c87f7b9ca7bc315437ae37fd3815a4316d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17801.74000000001 / 17781.070000000076 [+0.12%]
Products
Total CPU difference: 11522.820000000105 / 11527.24000000011 [-0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 19371.578125 / 19391.0625 [-0.10%]
Products
Total CPU difference: 12882.46875 / 12836.03125 [+0.36%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0098735)
git (administrator)
2021-02-06 14:29

Branch CR32105 has been deleted by inv.

SHA-1: 3097435fc41ab6f563e3edaa41349224b535be9d

- Related Changesets
occt: master 8df3104c
Timestamp: 2021-02-01 21:41:01
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032105: Visualization, TKOpenGl - PBR flat shading GLSL program compilation error on OpenGL ES 2.0

OpenGl_ShaderManager::defaultGlslVersion() - fixed combining two extensions in header.
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-02 00:38 kgv New Issue
2021-02-02 00:38 kgv Assigned To => kgv
2021-02-02 00:41 git Note Added: 0098593
2021-02-02 00:42 kgv Note Added: 0098594
2021-02-02 00:42 kgv Assigned To kgv => osa
2021-02-02 00:42 kgv Status new => resolved
2021-02-02 00:42 kgv Relationship added child of 0032083
2021-02-02 00:42 kgv Description Updated View Revisions
2021-02-02 11:55 osa Note Added: 0098606
2021-02-02 11:55 osa Assigned To osa => bugmaster
2021-02-02 11:55 osa Status resolved => reviewed
2021-02-06 14:15 bugmaster Note Added: 0098714
2021-02-06 14:15 bugmaster Status reviewed => tested
2021-02-06 14:18 bugmaster Test case number => Not required
2021-02-06 14:24 bugmaster Changeset attached => occt master 8df3104c
2021-02-06 14:24 bugmaster Status tested => verified
2021-02-06 14:24 bugmaster Resolution open => fixed
2021-02-06 14:29 git Note Added: 0098735


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker